summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-fs/openafs
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-fs/openafs')
-rw-r--r--net-fs/openafs/Manifest9
-rw-r--r--net-fs/openafs/metadata.xml24
-rw-r--r--net-fs/openafs/openafs-1.6.11.1.ebuild176
-rw-r--r--net-fs/openafs/openafs-1.6.11.ebuild175
-rw-r--r--net-fs/openafs/openafs-1.6.12.ebuild175
5 files changed, 559 insertions, 0 deletions
diff --git a/net-fs/openafs/Manifest b/net-fs/openafs/Manifest
new file mode 100644
index 00000000000..746c5ef5ea0
--- /dev/null
+++ b/net-fs/openafs/Manifest
@@ -0,0 +1,9 @@
+DIST openafs-1.6.11-doc.tar.bz2 3530829 SHA256 d5cfa17ec06812a9961960bfdf54c1a753f512826fbbb41e3fdbb2310b5b5a59 SHA512 9bd792eae719c6cfa3d250ae31fcc2cd47e40d0b78f5e3453a5b242255bc64d88b9943ac5a7ab2565509904499d6b11a94d27e9c9b48b515aa51bd8f0670ec67 WHIRLPOOL 1a6bdc5d0920eb046c6b975b4f17caca2e30295d0b26993edda17bec09adffa9254bfb5897979beb92ccafe4e1fbfc36d82ed715d46e967a6a0b1cb4bf4e05f8
+DIST openafs-1.6.11-patches.tar.xz 9628 SHA256 16fdf63d81bd986aea4112f43f4005912dd62175aeb355e7b729b309842c970c SHA512 8227cb156f7498afa70e3086f4bfd26672576229a8f847d24a85b495942270e4964aa715536d43c2e63bbd3f4ced7cd19971c76007cb8e2e5aef17fe0ceb9d1d WHIRLPOOL 9ae675c36ec5fe07b7d095705dc6ee02f4a4ac227d9396e29299d94cde10f18e217c06e3c62f73d3d2b07a43410b35e464e7b328e25710e6c497d093381ce158
+DIST openafs-1.6.11-src.tar.bz2 14605284 SHA256 cc42da08ef750a2363f7ea291e2264a9334c6ecf1400a75f5dabc170205bd01d SHA512 4e82553443009f899dfbd3eed0b9ed63c55aff5d5ce02f31657277385f0dfdef7e724b81a25fabb962d03b5a622d8d3fa9eca04879d1b84f4b253a52ea4ab90c WHIRLPOOL fbf188144643a71f7e505251033ed68c3d684dabd6647b4096c7a4010a76285db46c0cd586c5481635eb7da8406b5adee72c02528e59c4f89c6d923640cc93fb
+DIST openafs-1.6.11.1-doc.tar.bz2 3530413 SHA256 cb398583931e7f0edf17b2321a858afc62cffa3c48cf69021eccc198d3e764f9 SHA512 bcf48ae1e4f12a758adf3f64b60738cce6853501d66dce594df75d28687e939b2f369b485e27fbe116bd14816277c39ebe213f65f20c9ca6ab76946742ee18f8 WHIRLPOOL 6d8f5a2e602d4388dfca8634b7f5a8545bb39e5859b012700e0a361b4d7151eb8a6493e7a18f408a1ab54f083dfc4b0e8ca310c7772f5144dd0083af5b7488af
+DIST openafs-1.6.11.1-src.tar.bz2 14603197 SHA256 ae1a87faec8ee273f7d4baa69d1346f798415b38de72888decde011405423dc7 SHA512 43238d16d52498c62f6de944e030edeafdce9373074f961820d383bf82034511a484e79f1f655d5152f39abb38dfb744a9d02c47bb762c59e505de165bcc5579 WHIRLPOOL eb56015aaec4aa8c2a0d5aa901f4291a043e373d533bed5a48620e3b3a472226599dd083a4837ecc5a8763e7448ed1fb8c08aeec7ca53cf82db8be39d63dc522
+DIST openafs-1.6.12-doc.tar.bz2 3531628 SHA256 1b5726f77ee98ae45b4b6d0142a65724e8f08099eb1b2a4308ae8f0638199963 SHA512 b0389f5aecce913a50e827204c3d3f19964473d4b8b0e6e39d91d00971e4be57b4cfece0b4bc40fb3b6f5d7d60ee40b079883505625413f0748035452c3c2686 WHIRLPOOL a795b70caf84e17d5bea720a12e2c1aa159a34105f51dbcf60a464b2c8bf81a9624e8beede566c9c4b6ceeff424db7925bf588a7383f0860df8ec65828d32cc1
+DIST openafs-1.6.12-src.tar.bz2 14603726 SHA256 c47ffaa24bf2373264e330a624acafb5f509f4b00d63394b96e9bab131bf5802 SHA512 12c4b1ad12be7d44c56907f250b1d1ef94ca04f2b6e6d8c750da2a304cd0c60dd410516a3fa414442149e3a99c0cfd7aef283f09106889039035347793f01fc8 WHIRLPOOL f14e72aef41c47dd4e78b519b65fc01b67d709bd027a3004a501b621d71cc76f4d27ab5704421e39f05a611516ddcba9f1c2715fd4662cff13349be31b7a61a9
+DIST openafs-patches-20150503.tar.xz 9736 SHA256 066f61fe795e2cb3235a0a991abe8c5e876758bae7ea9bec61e98a3f601c9d7d SHA512 c687be78c7a6442b81c1362cab6ba215301911bdefcf39d2758ffeddecfa3efaa67990ea8277bbc1dedc14ad70a33213a37dbc45c43cd53871eec089759596c6 WHIRLPOOL 0935946c9a535f8e9ce6dd292801c671aef1c40f2a3f51aa4a85e5f4181fb46c3b2df55be56eec56c7fcab0eaf27d97cc6cef98c1b70178ba8cd7258174036cf
+DIST openafs-patches-20150626.tar.xz 10588 SHA256 b221842e82e4807e6b8064454df3792b12f3d73104462d83aa88c79e3028fb4a SHA512 b77df9dc734965301585d5f66732fef119282e49cbd5c121f45aa9f0b64fc6c62e1cd93c8b7ff81702f6baece0df3cf9d99ab796e84f2c0c610dc2e2fd3cedf6 WHIRLPOOL 71778ab6f64a156f8f559d446e09cbb8278f2f0965225a21767a2a28883e228620c37241cd439426a3163ede8b04f676f2b4aea7c14394c82bdc47dc2643e6b2
diff --git a/net-fs/openafs/metadata.xml b/net-fs/openafs/metadata.xml
new file mode 100644
index 00000000000..8a2e43a1f56
--- /dev/null
+++ b/net-fs/openafs/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>net-fs</herd>
+<herd>proxy-maintainers</herd>
+<maintainer>
+ <email>np.hardass@gmail.com</email>
+ <description>proxied maintainer, please assign bugs to</description>
+</maintainer>
+<maintainer>
+ <email>steve@pressers.name</email>
+ <name>Steven Presser</name>
+ <description>proxied maintainer, please CC on bugs</description>
+</maintainer>
+<maintainer>
+ <email>bircoph@gentoo.org</email>
+ <name>Andrew Savchenko</name>
+ <description>maintainer, please CC on bugs</description>
+</maintainer>
+<use>
+ <flag name='modules'>Build libafs kernel module. Disable only if you know
+ what you're doing: without this module OpenAFS client will not work.</flag>
+</use>
+</pkgmetadata>
diff --git a/net-fs/openafs/openafs-1.6.11.1.ebuild b/net-fs/openafs/openafs-1.6.11.1.ebuild
new file mode 100644
index 00000000000..6223885baf3
--- /dev/null
+++ b/net-fs/openafs/openafs-1.6.11.1.ebuild
@@ -0,0 +1,176 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools eutils flag-o-matic multilib pam systemd toolchain-funcs versionator
+
+MY_PV=$(delete_version_separator '_')
+MY_P="${PN}-${MY_PV}"
+PVER="20150503"
+
+DESCRIPTION="The OpenAFS distributed file system"
+HOMEPAGE="http://www.openafs.org/"
+# We always d/l the doc tarball as man pages are not USE=doc material
+[[ ${PV} == *_pre* ]] && MY_PRE="candidate/" || MY_PRE=""
+SRC_URI="
+ http://openafs.org/dl/openafs/${MY_PRE}${MY_PV}/${MY_P}-src.tar.bz2
+ http://openafs.org/dl/openafs/${MY_PV}/${MY_P}-doc.tar.bz2
+ http://dev.gentoo.org/~bircoph/patches/${PN}-patches-${PVER}.tar.xz
+"
+
+LICENSE="IBM BSD openafs-krb5-a APSL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~amd64-linux ~sparc ~x86 ~x86-linux"
+
+IUSE="doc kerberos +modules pam"
+
+CDEPEND="
+ sys-libs/ncurses
+ pam? ( sys-libs/pam )
+ kerberos? ( virtual/krb5 )"
+
+DEPEND="${CDEPEND}
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )"
+
+RDEPEND="${CDEPEND}
+ modules? ( ~net-fs/openafs-kernel-${PV} )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ EPATCH_EXCLUDE="050_all_job_server.patch" \
+ EPATCH_SUFFIX="patch" \
+ epatch "${WORKDIR}"/gentoo/patches
+ epatch_user
+
+ # fixing 2-nd level makefiles to honor flags
+ sed -i -r 's/\<CFLAGS[[:space:]]*=/CFLAGS+=/; s/\<LDFLAGS[[:space:]]*=/LDFLAGS+=/' \
+ src/*/Makefile.in || die '*/Makefile.in sed failed'
+
+ # packaging is f-ed up, so we can't run eautoreconf
+ # run autotools commands based on what is listed in regen.sh
+ eaclocal -I src/cf
+ eautoconf
+ eautoconf -o configure-libafs configure-libafs.ac
+ eautoheader
+ einfo "Deleting autom4te.cache directory"
+ rm -rf autom4te.cache
+}
+
+src_configure() {
+ AFS_SYSKVERS=26 \
+ econf \
+ --disable-kernel-module \
+ --disable-strip-binaries \
+ --enable-supergroups \
+ $(use_enable pam) \
+ $(use_with doc html-xsl /usr/share/sgml/docbook/xsl-stylesheets/html/chunk.xsl) \
+ $(use_with kerberos krb5)
+}
+
+src_compile() {
+ emake all_nolibafs
+ local d
+ if use doc; then
+ for d in doc/xml/{AdminGuide,QuickStartUnix,UserGuide}; do
+ emake -C "${d}" html;
+ done
+ fi
+}
+
+src_install() {
+ local OPENRCDIR="${WORKDIR}/gentoo/openrc"
+ local SYSTEMDDIR="${WORKDIR}/gentoo/systemd"
+
+ emake DESTDIR="${ED}" install_nolibafs
+
+ insinto /etc/openafs
+ doins src/afsd/CellServDB
+ echo "/afs:/var/cache/openafs:200000" > "${ED}"/etc/openafs/cacheinfo
+ echo "openafs.org" > "${ED}"/etc/openafs/ThisCell
+
+ # pam_afs and pam_afs.krb have been installed in irregular locations, fix
+ if use pam ; then
+ dopammod "${ED}"/usr/$(get_libdir)/pam_afs*
+ fi
+ rm -f "${ED}"/usr/$(get_libdir)/pam_afs* || die
+
+ # remove kdump stuff provided by kexec-tools #222455
+ rm -rf "${ED}"/usr/sbin/kdump*
+
+ # avoid collision with mit_krb5's version of kpasswd
+ mv "${ED}"/usr/bin/kpasswd{,_afs} || die
+ mv "${ED}"/usr/share/man/man1/kpasswd{,_afs}.1 || die
+
+ # move lwp stuff around #200674 #330061
+ mv "${ED}"/usr/include/{lwp,lock,timer}.h "${ED}"/usr/include/afs/ || die
+ mv "${ED}"/usr/$(get_libdir)/liblwp* "${ED}"/usr/$(get_libdir)/afs/ || die
+ # update paths to the relocated lwp headers
+ sed -ri \
+ -e '/^#include <(lwp|lock|timer).h>/s:<([^>]*)>:<afs/\1>:' \
+ "${ED}"/usr/include/*.h \
+ "${ED}"/usr/include/*/*.h \
+ || die
+
+ # minimal documentation
+ use pam && doman src/pam/pam_afs.5
+ dodoc "${WORKDIR}/gentoo/README" src/afsd/CellServDB
+
+ # documentation package
+ if use doc ; then
+ dodoc -r doc/{arch,examples,protocol,txt}
+ dohtml -r doc/xml/*
+ fi
+
+ # Gentoo related scripts
+ newinitd "${OPENRCDIR}"/openafs-client.initd openafs-client
+ newconfd "${OPENRCDIR}"/openafs-client.confd openafs-client
+ newinitd "${OPENRCDIR}"/openafs-server.initd openafs-server
+ newconfd "${OPENRCDIR}"/openafs-server.confd openafs-server
+ systemd_dotmpfilesd "${SYSTEMDDIR}"/tmpfiles.d/openafs-client.conf
+ systemd_dounit "${SYSTEMDDIR}"/openafs-client.service
+ systemd_dounit "${SYSTEMDDIR}"/openafs-server.service
+
+ # used directories: client
+ keepdir /etc/openafs
+ keepdir /var/cache/openafs
+
+ # used directories: server
+ keepdir /etc/openafs/server
+ diropts -m0700
+ keepdir /var/lib/openafs
+ keepdir /var/lib/openafs/db
+ diropts -m0755
+ keepdir /var/lib/openafs/logs
+
+ # link logfiles to /var/log
+ dosym ../lib/openafs/logs /var/log/openafs
+}
+
+pkg_preinst() {
+ ## Somewhat intelligently install default configuration files
+ ## (when they are not present)
+ local x
+ for x in cacheinfo CellServDB ThisCell ; do
+ if [ -e "${EROOT}"/etc/openafs/${x} ] ; then
+ cp "${EROOT}"/etc/openafs/${x} "${ED}"/etc/openafs/
+ fi
+ done
+}
+
+pkg_postinst() {
+ elog "This installation should work out of the box (at least the"
+ elog "client part doing global afs-cell browsing, unless you had"
+ elog "a previous and different configuration). If you want to"
+ elog "set up your own cell or modify the standard config,"
+ elog "please have a look at the Gentoo OpenAFS documentation"
+ elog "(warning: it is not yet up to date wrt the new file locations)"
+ elog
+ elog "The documentation can be found at:"
+ elog " https://wiki.gentoo.org/wiki/OpenAFS"
+}
diff --git a/net-fs/openafs/openafs-1.6.11.ebuild b/net-fs/openafs/openafs-1.6.11.ebuild
new file mode 100644
index 00000000000..193afc1c102
--- /dev/null
+++ b/net-fs/openafs/openafs-1.6.11.ebuild
@@ -0,0 +1,175 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools eutils flag-o-matic multilib pam systemd toolchain-funcs versionator
+
+MY_PV=$(delete_version_separator '_')
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="The OpenAFS distributed file system"
+HOMEPAGE="http://www.openafs.org/"
+# We always d/l the doc tarball as man pages are not USE=doc material
+[[ ${PV} == *_pre* ]] && MY_PRE="candidate/" || MY_PRE=""
+SRC_URI="
+ http://openafs.org/dl/openafs/${MY_PRE}${MY_PV}/${MY_P}-src.tar.bz2
+ http://openafs.org/dl/openafs/${MY_PV}/${MY_P}-doc.tar.bz2
+ http://dev.gentoo.org/~bircoph/patches/${P}-patches.tar.xz
+"
+
+LICENSE="IBM BSD openafs-krb5-a APSL-2"
+SLOT="0"
+KEYWORDS="amd64 sparc x86 ~amd64-linux ~x86-linux"
+
+IUSE="doc kerberos +modules pam"
+
+CDEPEND="
+ sys-libs/ncurses
+ pam? ( sys-libs/pam )
+ kerberos? ( virtual/krb5 )"
+
+DEPEND="${CDEPEND}
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )"
+
+RDEPEND="${CDEPEND}
+ modules? ( ~net-fs/openafs-kernel-${PV} )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ EPATCH_EXCLUDE="050_all_job_server.patch" \
+ EPATCH_SUFFIX="patch" \
+ epatch "${WORKDIR}"/gentoo/patches
+ epatch_user
+
+ # fixing 2-nd level makefiles to honor flags
+ sed -i -r 's/\<CFLAGS[[:space:]]*=/CFLAGS+=/; s/\<LDFLAGS[[:space:]]*=/LDFLAGS+=/' \
+ src/*/Makefile.in || die '*/Makefile.in sed failed'
+
+ # packaging is f-ed up, so we can't run eautoreconf
+ # run autotools commands based on what is listed in regen.sh
+ eaclocal -I src/cf
+ eautoconf
+ eautoconf -o configure-libafs configure-libafs.ac
+ eautoheader
+ einfo "Deleting autom4te.cache directory"
+ rm -rf autom4te.cache
+}
+
+src_configure() {
+ AFS_SYSKVERS=26 \
+ econf \
+ --disable-kernel-module \
+ --disable-strip-binaries \
+ --enable-supergroups \
+ $(use_enable pam) \
+ $(use_with doc html-xsl /usr/share/sgml/docbook/xsl-stylesheets/html/chunk.xsl) \
+ $(use_with kerberos krb5)
+}
+
+src_compile() {
+ emake all_nolibafs
+ local d
+ if use doc; then
+ for d in doc/xml/{AdminGuide,QuickStartUnix,UserGuide}; do
+ emake -C "${d}" html;
+ done
+ fi
+}
+
+src_install() {
+ local OPENRCDIR="${WORKDIR}/gentoo/openrc"
+ local SYSTEMDDIR="${WORKDIR}/gentoo/systemd"
+
+ emake DESTDIR="${ED}" install_nolibafs
+
+ insinto /etc/openafs
+ doins src/afsd/CellServDB
+ echo "/afs:/var/cache/openafs:200000" > "${ED}"/etc/openafs/cacheinfo
+ echo "openafs.org" > "${ED}"/etc/openafs/ThisCell
+
+ # pam_afs and pam_afs.krb have been installed in irregular locations, fix
+ if use pam ; then
+ dopammod "${ED}"/usr/$(get_libdir)/pam_afs*
+ fi
+ rm -f "${ED}"/usr/$(get_libdir)/pam_afs* || die
+
+ # remove kdump stuff provided by kexec-tools #222455
+ rm -rf "${ED}"/usr/sbin/kdump*
+
+ # avoid collision with mit_krb5's version of kpasswd
+ mv "${ED}"/usr/bin/kpasswd{,_afs} || die
+ mv "${ED}"/usr/share/man/man1/kpasswd{,_afs}.1 || die
+
+ # move lwp stuff around #200674 #330061
+ mv "${ED}"/usr/include/{lwp,lock,timer}.h "${ED}"/usr/include/afs/ || die
+ mv "${ED}"/usr/$(get_libdir)/liblwp* "${ED}"/usr/$(get_libdir)/afs/ || die
+ # update paths to the relocated lwp headers
+ sed -ri \
+ -e '/^#include <(lwp|lock|timer).h>/s:<([^>]*)>:<afs/\1>:' \
+ "${ED}"/usr/include/*.h \
+ "${ED}"/usr/include/*/*.h \
+ || die
+
+ # minimal documentation
+ use pam && doman src/pam/pam_afs.5
+ dodoc "${WORKDIR}/gentoo/README" src/afsd/CellServDB
+
+ # documentation package
+ if use doc ; then
+ dodoc -r doc/{arch,examples,protocol,txt}
+ dohtml -r doc/xml/*
+ fi
+
+ # Gentoo related scripts
+ newinitd "${OPENRCDIR}"/openafs-client.initd openafs-client
+ newconfd "${OPENRCDIR}"/openafs-client.confd openafs-client
+ newinitd "${OPENRCDIR}"/openafs-server.initd openafs-server
+ newconfd "${OPENRCDIR}"/openafs-server.confd openafs-server
+ systemd_dotmpfilesd "${SYSTEMDDIR}"/tmpfiles.d/openafs-client.conf
+ systemd_dounit "${SYSTEMDDIR}"/openafs-client.service
+ systemd_dounit "${SYSTEMDDIR}"/openafs-server.service
+
+ # used directories: client
+ keepdir /etc/openafs
+ keepdir /var/cache/openafs
+
+ # used directories: server
+ keepdir /etc/openafs/server
+ diropts -m0700
+ keepdir /var/lib/openafs
+ keepdir /var/lib/openafs/db
+ diropts -m0755
+ keepdir /var/lib/openafs/logs
+
+ # link logfiles to /var/log
+ dosym ../lib/openafs/logs /var/log/openafs
+}
+
+pkg_preinst() {
+ ## Somewhat intelligently install default configuration files
+ ## (when they are not present)
+ local x
+ for x in cacheinfo CellServDB ThisCell ; do
+ if [ -e "${EROOT}"/etc/openafs/${x} ] ; then
+ cp "${EROOT}"/etc/openafs/${x} "${ED}"/etc/openafs/
+ fi
+ done
+}
+
+pkg_postinst() {
+ elog "This installation should work out of the box (at least the"
+ elog "client part doing global afs-cell browsing, unless you had"
+ elog "a previous and different configuration). If you want to"
+ elog "set up your own cell or modify the standard config,"
+ elog "please have a look at the Gentoo OpenAFS documentation"
+ elog "(warning: it is not yet up to date wrt the new file locations)"
+ elog
+ elog "The documentation can be found at:"
+ elog " https://wiki.gentoo.org/wiki/OpenAFS"
+}
diff --git a/net-fs/openafs/openafs-1.6.12.ebuild b/net-fs/openafs/openafs-1.6.12.ebuild
new file mode 100644
index 00000000000..85faaeeffe4
--- /dev/null
+++ b/net-fs/openafs/openafs-1.6.12.ebuild
@@ -0,0 +1,175 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit autotools eutils flag-o-matic multilib pam systemd toolchain-funcs versionator
+
+MY_PV=$(delete_version_separator '_')
+MY_P="${PN}-${MY_PV}"
+PVER="20150626"
+
+DESCRIPTION="The OpenAFS distributed file system"
+HOMEPAGE="http://www.openafs.org/"
+# We always d/l the doc tarball as man pages are not USE=doc material
+[[ ${PV} == *_pre* ]] && MY_PRE="candidate/" || MY_PRE=""
+SRC_URI="
+ http://openafs.org/dl/openafs/${MY_PRE}${MY_PV}/${MY_P}-src.tar.bz2
+ http://openafs.org/dl/openafs/${MY_PV}/${MY_P}-doc.tar.bz2
+ http://dev.gentoo.org/~bircoph/afs/${PN}-patches-${PVER}.tar.xz
+"
+
+LICENSE="IBM BSD openafs-krb5-a APSL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~amd64-linux ~sparc ~x86 ~x86-linux"
+
+IUSE="doc kerberos +modules pam"
+
+CDEPEND="
+ sys-libs/ncurses
+ pam? ( virtual/pam )
+ kerberos? ( virtual/krb5 )"
+
+DEPEND="${CDEPEND}
+ doc? (
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ )"
+
+RDEPEND="${CDEPEND}
+ modules? ( ~net-fs/openafs-kernel-${PV} )"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ EPATCH_EXCLUDE="050_all_job_server.patch" \
+ EPATCH_SUFFIX="patch" \
+ epatch "${WORKDIR}"/gentoo/patches
+ epatch_user
+
+ # fixing 2-nd level makefiles to honor flags
+ sed -i -r 's/\<CFLAGS[[:space:]]*=/CFLAGS+=/; s/\<LDFLAGS[[:space:]]*=/LDFLAGS+=/' \
+ src/*/Makefile.in || die '*/Makefile.in sed failed'
+
+ # packaging is f-ed up, so we can't run eautoreconf
+ # run autotools commands based on what is listed in regen.sh
+ eaclocal -I src/cf
+ eautoconf
+ eautoconf -o configure-libafs configure-libafs.ac
+ eautoheader
+ einfo "Deleting autom4te.cache directory"
+ rm -rf autom4te.cache
+}
+
+src_configure() {
+ AFS_SYSKVERS=26 \
+ econf \
+ --disable-kernel-module \
+ --disable-strip-binaries \
+ --enable-supergroups \
+ $(use_enable pam) \
+ $(use_with doc html-xsl /usr/share/sgml/docbook/xsl-stylesheets/html/chunk.xsl) \
+ $(use_with kerberos krb5)
+}
+
+src_compile() {
+ emake all_nolibafs
+ local d
+ if use doc; then
+ for d in doc/xml/{AdminGuide,QuickStartUnix,UserGuide}; do
+ emake -C "${d}" html;
+ done
+ fi
+}
+
+src_install() {
+ local OPENRCDIR="${WORKDIR}/gentoo/openrc"
+ local SYSTEMDDIR="${WORKDIR}/gentoo/systemd"
+
+ emake DESTDIR="${ED}" install_nolibafs
+
+ insinto /etc/openafs
+ doins src/afsd/CellServDB
+ echo "/afs:/var/cache/openafs:200000" > "${ED}"/etc/openafs/cacheinfo
+ echo "openafs.org" > "${ED}"/etc/openafs/ThisCell
+
+ # pam_afs and pam_afs.krb have been installed in irregular locations, fix
+ if use pam ; then
+ dopammod "${ED}"/usr/$(get_libdir)/pam_afs*
+ fi
+ rm -f "${ED}"/usr/$(get_libdir)/pam_afs* || die
+
+ # remove kdump stuff provided by kexec-tools #222455
+ rm -rf "${ED}"/usr/sbin/kdump*
+
+ # avoid collision with mit_krb5's version of kpasswd
+ mv "${ED}"/usr/bin/kpasswd{,_afs} || die
+ mv "${ED}"/usr/share/man/man1/kpasswd{,_afs}.1 || die
+
+ # move lwp stuff around #200674 #330061
+ mv "${ED}"/usr/include/{lwp,lock,timer}.h "${ED}"/usr/include/afs/ || die
+ mv "${ED}"/usr/$(get_libdir)/liblwp* "${ED}"/usr/$(get_libdir)/afs/ || die
+ # update paths to the relocated lwp headers
+ sed -ri \
+ -e '/^#include <(lwp|lock|timer).h>/s:<([^>]*)>:<afs/\1>:' \
+ "${ED}"/usr/include/*.h \
+ "${ED}"/usr/include/*/*.h \
+ || die
+
+ # minimal documentation
+ use pam && doman src/pam/pam_afs.5
+ dodoc "${WORKDIR}/gentoo/README" src/afsd/CellServDB
+
+ # documentation package
+ if use doc ; then
+ dodoc -r doc/{arch,examples,protocol,txt}
+ dohtml -r doc/xml/*
+ fi
+
+ # Gentoo related scripts
+ newinitd "${OPENRCDIR}"/openafs-client.initd openafs-client
+ newconfd "${OPENRCDIR}"/openafs-client.confd openafs-client
+ newinitd "${OPENRCDIR}"/openafs-server.initd openafs-server
+ newconfd "${OPENRCDIR}"/openafs-server.confd openafs-server
+ systemd_dotmpfilesd "${SYSTEMDDIR}"/tmpfiles.d/openafs-client.conf
+ systemd_dounit "${SYSTEMDDIR}"/openafs-client.service
+ systemd_dounit "${SYSTEMDDIR}"/openafs-server.service
+
+ # used directories: client
+ keepdir /etc/openafs
+
+ # used directories: server
+ keepdir /etc/openafs/server
+ diropts -m0700
+ keepdir /var/lib/openafs
+ keepdir /var/lib/openafs/db
+ diropts -m0755
+ keepdir /var/lib/openafs/logs
+
+ # link logfiles to /var/log
+ dosym ../lib/openafs/logs /var/log/openafs
+}
+
+pkg_preinst() {
+ ## Somewhat intelligently install default configuration files
+ ## (when they are not present)
+ local x
+ for x in cacheinfo CellServDB ThisCell ; do
+ if [ -e "${EROOT}"/etc/openafs/${x} ] ; then
+ cp "${EROOT}"/etc/openafs/${x} "${ED}"/etc/openafs/
+ fi
+ done
+}
+
+pkg_postinst() {
+ elog "This installation should work out of the box (at least the"
+ elog "client part doing global afs-cell browsing, unless you had"
+ elog "a previous and different configuration). If you want to"
+ elog "set up your own cell or modify the standard config,"
+ elog "please have a look at the Gentoo OpenAFS documentation"
+ elog "(warning: it is not yet up to date wrt the new file locations)"
+ elog
+ elog "The documentation can be found at:"
+ elog " https://wiki.gentoo.org/wiki/OpenAFS"
+}